Skip to main content
POST
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/reversals/{reversalId}/confirm

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

realmId
string
required
organizationId
string
required
accountId
string
required
walletId
string
required
transactionId
string
required
reversalId
string
required

Response

200 - application/json

Successful response

A reversal of a pix we RECEIVED — money goes back OUT to the original sender.

⚠️ Not to be confused with the legacy PixInReversal* webhook family (connectors/swapBanking/types/webhooks/PIXInReversal.ts) or the domain-side PixRollback, both of which describe the OPPOSITE direction: SWAP telling us a pix we SENT was reversed, money coming back IN.

The original* fields snapshot the CREDIT transaction being reversed; the reversal* fields describe the outgoing refund itself.

environment
enum<string>
required
Available options:
LIVE,
TEST
realmId
string
required
organizationId
string
required
accountId
string
required
walletId
string
required
transactionId
string
required
status
enum<string>
required
Available options:
INITIATED,
REQUESTED,
CONFIRMED,
FAILED,
CANCELED
originalEffectiveAt
string<date-time>
required
originalAmount
number
required
originalCurrency
enum<string>
required
Available options:
784,
971,
008,
051,
973,
032,
036,
533,
944,
977,
052,
050,
048,
108,
060,
096,
068,
984,
986,
044,
064,
072,
933,
084,
124,
976,
947,
756,
948,
990,
152,
156,
170,
970,
188,
192,
132,
203,
262,
208,
214,
012,
818,
232,
230,
978,
242,
238,
826,
981,
936,
292,
270,
324,
320,
328,
344,
340,
332,
348,
360,
376,
356,
368,
364,
352,
388,
400,
392,
404,
417,
116,
174,
408,
410,
414,
136,
398,
418,
422,
144,
430,
426,
434,
504,
498,
969,
807,
104,
496,
446,
929,
480,
462,
454,
484,
979,
458,
943,
516,
566,
558,
578,
524,
554,
512,
590,
604,
598,
608,
586,
985,
600,
634,
946,
941,
643,
646,
682,
090,
690,
938,
752,
702,
654,
925,
706,
968,
728,
930,
222,
760,
748,
764,
972,
934,
788,
776,
949,
780,
901,
834,
980,
800,
840,
997,
940,
858,
927,
860,
926,
928,
704,
548,
882,
396,
950,
961,
959,
955,
956,
957,
958,
951,
532,
960,
952,
964,
953,
962,
994,
963,
965,
999,
886,
710,
967,
924
originalCreditParty
object
required
originalDebitParty
object
required
reversalReason
enum<string>
required
Available options:
USER_REQUESTED
reversalDescription
string | null
required
reversalEffectiveAt
string<date-time> | null
required
reversalAmount
number
required
reversalCurrency
enum<string>
required
Available options:
784,
971,
008,
051,
973,
032,
036,
533,
944,
977,
052,
050,
048,
108,
060,
096,
068,
984,
986,
044,
064,
072,
933,
084,
124,
976,
947,
756,
948,
990,
152,
156,
170,
970,
188,
192,
132,
203,
262,
208,
214,
012,
818,
232,
230,
978,
242,
238,
826,
981,
936,
292,
270,
324,
320,
328,
344,
340,
332,
348,
360,
376,
356,
368,
364,
352,
388,
400,
392,
404,
417,
116,
174,
408,
410,
414,
136,
398,
418,
422,
144,
430,
426,
434,
504,
498,
969,
807,
104,
496,
446,
929,
480,
462,
454,
484,
979,
458,
943,
516,
566,
558,
578,
524,
554,
512,
590,
604,
598,
608,
586,
985,
600,
634,
946,
941,
643,
646,
682,
090,
690,
938,
752,
702,
654,
925,
706,
968,
728,
930,
222,
760,
748,
764,
972,
934,
788,
776,
949,
780,
901,
834,
980,
800,
840,
997,
940,
858,
927,
860,
926,
928,
704,
548,
882,
396,
950,
961,
959,
955,
956,
957,
958,
951,
532,
960,
952,
964,
953,
962,
994,
963,
965,
999,
886,
710,
967,
924
_id
string
requestedAt
string<date-time>
originalPixId
string
originalPixBillingId
string
originalReceipt
object
reversalAdditionalInformation
string
reversalReceipt
object
errorCode
string
errorDescription
string
external
object
processingType
enum<string>
Available options:
INSTANT,
DELAYED
createdAt
string<date-time>
updatedAt
string<date-time>
confirmingAt
string<date-time>

Banking-internal atomic-claim lock, taken by the confirm before any money moves and never exposed on the wire (the model's toJSON strips it).